View Issue Details

IDProjectCategoryView StatusLast Update
0002177Industrial-Craft²machinespublic2017-05-06 08:28
Reporterpiotro005Assigned ToChocohead 
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformPCOSWindowsOS Version7 Home Premium
Product Version 
Target VersionFixed in VersionBuilds for MC 1.11.x 
Summary0002177: Minecraft crashes when the Luminator is connected to nothing.
DescriptionWhen Luminator is connected to nothing, Minecraft workes for a few seconds and then it crashes. This incident occurs, when the connection between any kind of cable and luminator is being destroyed.
Steps To Reproduce1.Place BatBox.
2.Connect copper cable to BatBox.
3.Connect luminator to cable.
4.break cable close luminator.
TagsNo tags attached.
Minecraft Version1.11.2

Activities

piotro005

2017-05-04 14:47

reporter  

crash-2017-05-04_12.38.46-server.txt (4,453 bytes)
---- Minecraft Crash Report ----

WARNING: coremods are present:
  Inventory Tweaks Coremod (InventoryTweaks-1.62+beta.86.jar)
  IC2core (industrialcraft-2-2.7.9-ex111.jar)
Contact their authors BEFORE contacting forge

// Quite honestly, I wouldn't worry myself about that.

Time: 5/4/17 12:38 PM
Description: Exception in server tick loop

java.lang.NullPointerException: Exception in server tick loop
	at net.minecraft.enchantment.EnchantmentHelper.func_77506_a(EnchantmentHelper.java:35)
	at net.minecraft.block.Block.func_180657_a(Block.java:720)
	at ic2.core.block.wiring.TileEntityLuminator.checkPlacement(TileEntityLuminator.java:126)
	at ic2.core.block.wiring.TileEntityLuminator.access$000(TileEntityLuminator.java:39)
	at ic2.core.block.wiring.TileEntityLuminator$1.onTick(TileEntityLuminator.java:71)
	at ic2.core.TickHandler.processUpdates(TickHandler.java:175)
	at ic2.core.TickHandler.onWorldTick(TickHandler.java:58)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler_12_TickHandler_onWorldTick_WorldTickEvent.invoke(.dynamic)
	at net.minecraftforge.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:90)
	at net.minecraftforge.fml.common.eventhandler.EventBus.post(EventBus.java:185)
	at net.minecraftforge.fml.common.FMLCommonHandler.onPreWorldTick(FMLCommonHandler.java:282)
	at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:705)
	at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:624)
	at net.minecraft.server.integrated.IntegratedServer.func_71217_p(IntegratedServer.java:240)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:482)
	at java.lang.Thread.run(Unknown Source)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- System Details --
Details:
	Minecraft Version: 1.11.2
	Operating System: Windows 7 (amd64) version 6.1
	Java Version: 1.8.0_131, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 274945888 bytes (262 MB) / 642215936 bytes (612 MB) up to 1060372480 bytes (1011 MB)
	JVM Flags: 6 total; -XX:HeapDumpPath=MojangTricksIntelDriversForPerformance_javaw.exe_minecraft.exe.heapdump -Xmx1G -XX:+UseConcMarkSweepGC -XX:+CMSIncrementalMode -XX:-UseAdaptiveSizePolicy -Xmn128M
	IntCache: cache: 0, tcache: 0, allocated: 12, tallocated: 94
	FML: MCP 9.38 Powered by Forge 13.20.0.2294 Optifine OptiFine_1.11.2_HD_U_B5 11 mods loaded, 11 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
	UCHIJAAAA	minecraft{1.11.2} [Minecraft] (minecraft.jar) 
	UCHIJAAAA	mcp{9.19} [Minecraft Coder Pack] (minecraft.jar) 
	UCHIJAAAA	FML{8.0.99.99} [Forge Mod Loader] (forge-1.11.2-13.20.0.2294.jar) 
	UCHIJAAAA	forge{13.20.0.2294} [Minecraft Forge] (forge-1.11.2-13.20.0.2294.jar) 
	UCHIJAAAA	mercurius_updater{1.0} [mercurius_updater] (MercuriusUpdater-1.11.2.jar) 
	UCHIJAAAA	grapplemod{1.11-v9} [Grappling hook mod] (grapplemod-1.11-v9.jar) 
	UCHIJAAAA	ic2{2.7.9-ex111} [IndustrialCraft 2] (industrialcraft-2-2.7.9-ex111.jar) 
	UCHIJAAAA	inventorytweaks{1.62+beta.86.e69c6bf} [Inventory Tweaks] (InventoryTweaks-1.62+beta.86.jar) 
	UCHIJAAAA	treechopper{1.1.2} [Tree Chopper] (TreeChopper-1.11.2-1.1.2.jar) 
	UCHIJAAAA	xaerominimap{1.12.7} [Xaero's Minimap] (Xaeros_Minimap_1.12.7_Forge_1.11.jar) 
	UCHIJAAAA	xaeroworldmap{1.8.1} [Xaero's World Map] (XaerosWorldMap_b1.8.1_Forge_1.11.jar) 
	Loaded coremods (and transformers): 
Inventory Tweaks Coremod (InventoryTweaks-1.62+beta.86.jar)
  invtweaks.forge.asm.ContainerTransformer
IC2core (industrialcraft-2-2.7.9-ex111.jar)
  
	GL info: ~~ERROR~~ RuntimeException: No OpenGL context found in the current thread.
	Profiler Position: N/A (disabled)
	Player Count: 1 / 8; [EntityPlayerMP['Piotro005'/218, l='New World', x=-337.70, y=127.00, z=-77.51]]
	Type: Integrated Server (map_client.txt)
	Is Modded: Definitely; Client brand changed to 'fml,forge'
	OptiFine Version: OptiFine_1.11.2_HD_U_B5
	Render Distance Chunks: 8
	Mipmaps: 4
	Anisotropic Filtering: 1
	Antialiasing: 0
	Multitexture: false
	Shaders: null
	OpenGlVersion: 4.2.11986 Compatibility Profile Context
	OpenGlRenderer: ATI Radeon HD 5450
	OpenGlVendor: ATI Technologies Inc.
	CpuCount: 2

Chocohead

2017-05-04 17:04

developer   ~0005192

Looks like a missed null in porting, fixed in IC2 2.7.22

piotro005

2017-05-06 08:28

reporter   ~0005203

Thanks ;D

Issue History

Date Modified Username Field Change
2017-05-04 14:47 piotro005 New Issue
2017-05-04 14:47 piotro005 File Added: crash-2017-05-04_12.38.46-server.txt
2017-05-04 17:04 Chocohead Note Added: 0005192
2017-05-04 17:04 Chocohead Status new => resolved
2017-05-04 17:04 Chocohead Fixed in Version => Builds for MC 1.11.x
2017-05-04 17:04 Chocohead Resolution open => fixed
2017-05-04 17:04 Chocohead Assigned To => Chocohead
2017-05-06 08:28 piotro005 Note Added: 0005203